#!/bin/bash
#
# Copyright (c) 2013, The Linux Foundation. All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are
# met:
#     * Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#     * Neither the name of The Linux Foundation nor the names of its
#       contributors may be used to endorse or promote products derived
#       from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
# MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
# ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
# BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
# CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
# SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
# BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
# OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

IMPORTANT_IDLS=$(cat <<EOF
  content/base/public/nsIMessageManager.idl
  dom/interfaces/settings/nsISettingsService.idl
  dom/messages/interfaces/nsISystemMessagesInternal.idl
  dom/sms/interfaces/nsIDOMSmsMessage.idl
  dom/sms/interfaces/nsISmsRequest.idl
  dom/sms/interfaces/nsIRilSmsDatabaseService.idl
  dom/sms/interfaces/nsISmsService.idl
  dom/network/interfaces/nsIDOMMobileConnection.idl
  dom/network/interfaces/nsIMobileConnectionProvider.idl
  dom/system/gonk/nsIAudioManager.idl
  dom/system/gonk/nsIRadioInterfaceLayer.idl
  dom/time/nsITimeService.idl
  xpcom/system/nsIGeolocationProvider.idl
EOF
)

for IDL in $IMPORTANT_IDLS; do
  if [ ! -f $IDL ]; then
    echo $IDL not found. >&2
    exit 1
  fi
done

cat $IMPORTANT_IDLS | cpp -P 2> /dev/null | openssl sha1
